%define oname   mysql

Name:       ruby-%{oname}
Version:    2.9.1
Release:    %mkrel 8
Summary:    This is the MySQL API module for Ruby
Group:      Development/Ruby
License:    Ruby License
URL:        http://mysql-win.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     mysql-2.9.1-mariadb.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: mysql-devel
BuildRequires: rubygem(test-unit)

%description
This is the MySQL API module for Ruby. It provides the same functions for
Ruby
programs that the MySQL C API provides for C programs.
This is a conversion of tmtm's original extension into a proper RubyGems.

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc History.txt Manifest.txt README.txt
#-------------------------------------------------------------------------------

%prep
%gem_setup
%patch0 -p0

%build
%gem_build

%install
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 2.9.1-8.mga4
+ Revision: 562027
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 2.9.1-7.mga4
+ Revision: 561441
- Fix gem macros

* Tue Dec 24 2013 pterjan <pterjan> 2.9.1-6.mga4
+ Revision: 560306
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 2.9.1-5.mga4
+ Revision: 538093
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 2.9.1-4.mga4
+ Revision: 488448
- do not do check now
- move to correct dir
- rebuild for ruby 2.0

  + pterjan <pterjan>
    - Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 2.9.1-2.mga4
+ Revision: 480044
- Fix file list
- Use gem_setup

* Sun Jun 09 2013 fwang <fwang> 2.9.1-1.mga4
+ Revision: 441225
- update file list
- more patch
- force succeed
- add br on test-unit
- try build with minitest5
- new verrsion 2.9.1

* Fri Feb 08 2013 umeabot <umeabot> 2.8.1-15.mga3
+ Revision: 396193
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.8.1-14.mga3
+ Revision: 381128
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 2.8.1-13.mga3
+ Revision: 313405
- set doc as noarch package

* Sat Nov 03 2012 fwang <fwang> 2.8.1-12.mga3
+ Revision: 313400
- test ruby
- rebuild for new ruby

* Sat Apr 09 2011 shikamaru <shikamaru> 2.8.1-11.mga1
+ Revision: 82549
- rebuild for new mysql

* Thu Mar 24 2011 dmorgan <dmorgan> 2.8.1-10.mga1
+ Revision: 77050
- Rebuild against new mysql

* Tue Jan 25 2011 shikamaru <shikamaru> 2.8.1-9.mga1
+ Revision: 39603
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 2.8.1-8.mga1
+ Revision: 34797
- Start a mysql instance for the test
  FIXME: the sleep time is arbitrary
- imported package ruby-mysql


* Sun Jan 23 2011 Remy CLOUARD <shikamaru@mandriva.org> - 2.8.1-8mdv2011.0
- Apply new ruby policy
- Apply general mageia policy
- Add check section

* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 2.8.1-7mdv2011.0
+ Revision: 627286
- rebuilt against mysql-5.5.8 libs, again

* Thu Dec 30 2010 Oden Eriksson <oeriksson@mandriva.com> 2.8.1-6mdv2011.0
+ Revision: 626560
- rebuilt against mysql-5.5.8 libs

* Mon Dec 20 2010 Rémy Clouard <shikamaru@mandriva.org> 2.8.1-4mdv2011.0
+ Revision: 623457
- Package as a gem
- fix License
- fix Requires
- use %%gem_macros
- update file list
- update URLs

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 2.8.1-3mdv2011.0
+ Revision: 614744
- the mass rebuild of 2010.1 packages

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 2.8.1-2mdv2010.1
+ Revision: 507508
- rebuild

* Tue Jul 28 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.1-1mdv2010.0
+ Revision: 402813
- update to new version 2.8.1

* Thu Jan 01 2009 Funda Wang <fwang@mandriva.org> 2.8-2mdv2009.1
+ Revision: 323120
- update license

* Thu Jan 01 2009 Funda Wang <fwang@mandriva.org> 2.8-1mdv2009.1
+ Revision: 323080
- New version 2.8

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.7.6-2mdv2009.1
+ Revision: 311343
- rebuilt against mysql-5.1.30 libs

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 2.7.6-1mdv2009.0
+ Revision: 280667
- New Release

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.7.1-2mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 2.7.1-2mdv2008.0
+ Revision: 16895
- Use Development/Ruby group
- Use std macros


* Sat Jun 10 2006 Pascal Terjan <pterjan@mandriva.org> 2.7.1-1mdv2007.0
- New release 2.7.1
- Add URL in Source

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.7-2mdk
- rebuilt against MySQL-5.0.15

* Fri Sep 02 2005 Pascal Terjan <pterjan@mandriva.org> 2.7-1mdk
* Tue Aug 02 2005 Pascal Terjan <pterjan@mandrake.org> 2.6.3-1mdk
- 2.6.3

* Tue Apr 26 2005 Pascal Terjan <pterjan@mandrake.org> 2.6-1mdk
- 2.6.1

* Fri Apr 01 2005 Pascal Terjan <pterjan@mandrake.org> 2.5-3mdk
- lib64 fix

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5-2mdk
- rebuilt against new mysql libs

* Wed Sep 08 2004 Pascal Terjan <pterjan@mandrake.org> 2.5-1mdk 
- first mdk release

